Operations

This set of API calls allows you to fetch operations on various Keyless entities.

Operations

Get a user's pending operations

get

Get a user's pending operations

Authorizations
X-Api-KeystringRequired

The customer service api key

Path parameters
userIdstring · Uppercase HEX stringRequired

The user id

Responses
chevron-right
200

An user's pending operations

application/json
operationIdstringRequired

Unique operation identifier set and managed by the client

operationPayloadstringOptional

Operation payload set and managed by the client

externalUserIdstringOptional

User id set and managed by the client

authTypestring · enumOptional

Authentication type of the operation

Possible values:
get
/users/{userId}/operations/pending

Get a customer operation

get

Get a customer operation

Authorizations
X-Api-KeystringRequired

The customer service api key

Path parameters
operationIdstringRequired

Unique operation identifier set and managed by the client

Responses
chevron-right
200

A customer operation

application/json
idnumberRequired

Unique operation identifier

timestampstringRequired

Creation date time

Example: 2020-01-02T03:04:05.68
nodeIdstringRequired

Name of the service that created the operation

userIdstring · HEXRequired

An HEX string representing the user id

Example: 0123456789ABCDEF
apiKeystringRequired

Customer SDK api key

externalUserIdstringOptional

User id set and managed by the client

operationIdstringRequired

Unique operation identifier set and managed by the client

operationPayloadstringOptional

Operation payload set and managed by the client

resultbooleanRequired

True if the operation is approved, false otherwise

authTypestring · enumOptional

Authentication type of the operation

Possible values:
statestringRequired

State of the operation. Possible values are 'approved' or 'pending'

Example: approved
get
/operations/{operationId}

Create a pending operation

post

Create a pending operation

Authorizations
X-Api-KeystringRequired

The customer service api key

Path parameters
userIdstring · Uppercase HEX stringRequired

The user id

Body
externalUserIdstringOptional

User id set and managed by the client

operationIdstringRequired

Unique operation identifier set and managed by the client

operationPayloadstringOptional

Operation payload set and managed by the client

Responses
chevron-right
200

Operation created successfully

application/json

Positive feedback on the operation result

successbooleanRequired

Always true

post
/users/{userId}/operations

JWT

Get the customer public key

get

Get the customer public key in PEM format

Authorizations
X-Api-KeystringRequired

The customer service api key

Responses
chevron-right
200

The public key in PEM format

application/json
contentstringRequired

PEM key representation of the customer public key

Example: -----BEGIN PUBLIC KEY----- MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAwJ1 -----END PUBLIC KEY-----
get
/verify-jwt/public-key

Verify a signed JWT message

post

Verify a signed JWT message. The only format accepted for now is a JWT generated by a PIN signature

Authorizations
X-Api-KeystringRequired

The customer service api key

Body
messagestring · JWTRequired

The signed JWT message

Responses
chevron-right
200

The verification completed successfully. Check the result to see if the signature is valid or not

application/json
resultbooleanRequired

True if the signature is valid, false otherwise

post
/verify-jwt

Last updated

Was this helpful?